ASSERT(3)

NAME
ASSERT - Debugging helper macro to assert. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void ASSERT(condition);

DESCRIPTION
Debugging helper macro. Normally compiles away to nothing, but if you defined the preprocessor symbol DEBUGMODE before including Allegro headers, it will check the supplied condition and call al_assert() if it fails, whose default action is to stop the program and report the assert. You can use this macro even when Allegro has not been initialised. Example:
   #define DEBUGMODE
   #include
   ...
   void my_blitter(BITMAP *source, int flags)
   {
      int some_variables;
      ASSERT(source != NULL);
      ASSERT(flags & GAME_RUNNING);
      ...
   }

SEE ALSO
al_assert(3), TRACE(3), register_assert_handler(3), expackf(3)